Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to an ElasticSearch cluster. You'll need to provide a host, key and token:

  • host: this is the host where your ElasticSearch database is exposed. Note that only https is allowed here in order to securely transfer data over the wire. The structure of the host url expects: https://url-to-elasticsearch-cluster:port

  • key: the username that will be used to connect to your ElasticSearch cluster.

  • token: the password to connect to your ElasticSearch cluster

Notes :

  1. To ensure that e.g. only the Luzmo application can access your ElasticSearch instance, it is highly recommended to whitelist Luzmo's range of static IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

  2. Since ElasticSearch evolves quickly and has frequent small breaking syntax changes, we currently only support ES clusters from version 6.1 (that introduced pagination queries).

  3. Note that text fields you want to use for filtering, grouping or aggregations must either be of the type keyword or of the type text but have a subfield of the type keyword . More information on this can be found in the ElasticSearch docs .

Base URL
https://api.luzmo.com/0.1.0/account
Example Response
200
400
500
{
  "properties": {
    "key": "username",
    "host": "https://url-to-elasticsearch-cluster:port",
    "token": "password"
  },
  "id": "6d65010f-306f-4b40-9671-74885f29f85c",
  "provider": "elasticsearch",
  "date": "2024-08-14T08:52:40.934Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "name": "ElasticSearch",
  "description": null,
  "port": null,
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-08-14T08:52:40.935Z",
  "updated_at": "2024-08-14T08:52:40.941Z",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "plugin_id": "486d49fa-780e-475d-9598-624989ed6a59",
  "shareable_id": "170e3ce9-2c90-4f49-8074-2946449d4dfc"
}